"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.switchTableConfig = exports.RESOURCE_TABLE_CONFIG = void 0;

var _constants = _interopRequireDefault(require("../../constants"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const RESOURCE_TABLE_CONFIG = {
  [_constants.default.LAMBDA]: {
    label: "<-         Lambda Functions         ->",
    columnWidth: [30, 30, 10, 10, 20, 10]
  },
  [_constants.default.ALL_RESOURCES]: {
    label: "<-           All Resources          ->",
    columnWidth: [50, 30]
  }
};
exports.RESOURCE_TABLE_CONFIG = RESOURCE_TABLE_CONFIG;

const switchTableConfig = (application, tableType) => {
  application.type = tableType;
  application.table.setLabel(RESOURCE_TABLE_CONFIG[tableType].label);
  application.options.columnWidth = RESOURCE_TABLE_CONFIG[tableType].columnWidth;
  (void 0).table.options.columnWidth = [30, 30, 10, 10, 20, 10];
};

exports.switchTableConfig = switchTableConfig;